<div> <p> Update Custom Field By Id </p> <div> <span style= "display: inline-block; width: 25px; height: 25px; background-color: yellow; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 22px; border: 2px solid black; border-radius: 10%; margin-right: 10px;"> ! </span> <span> <strong> Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future. </strong> </span> </div> </div>

http
PUT https://services.leadconnectorhq.com/custom-fields/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYes

Body

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
namestringNoNameField name
descriptionstringNoDescription of the field
placeholderstringNoPlaceholder text for the field
showInFormsbooleanYesWhether the field should be shown in forms
  • options (object[]): Options for the field. Important: Providing options will completely replace the existing options array. You must include all existing options alongside any new options you wish to add. Removal of options is not supported through this update. Applicable only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST types.

    • key (string, required): Key of the option (Included in Create and Response, excluded in Update)

    • label (string, required): Value of the option

    • url (string): URL associated with the option (Optional, valid only for RADIO type)

NameTypeRequiredExampleDescription
acceptedFormatsstringNoAllowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Possible values: '.pdf', '.docx', '.doc', '.jpg', '.jpeg', '.png', '.gif', '.csv', '.xlsx', '.xls', 'all'
maxFileLimitnumberNo2Maximum file limit for uploads. Applicable only for fields with a data type of FILE_UPLOAD.

Responses

200 - Successful response
  • field (object)

    • locationId (string, required): Account Id Example: ve9EPM428h8vShlRW1KT

    • name (string): Field name Example: Name

    • description (string): Description of the field

    • placeholder (string): Placeholder text for the field

    • showInForms (boolean, required): Whether the field should be shown in forms

    • options (object[]): Options for the field (Optional, valid only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST type)

      • key (string, required): Key of the option (Included in Create and Response, excluded in Update)

      • label (string, required): Value of the option

      • url (string): URL associated with the option (Optional, valid only for RADIO type)

    • acceptedFormats (string): Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Possible values: '.pdf', '.docx', '.doc', '.jpg', '.jpeg', '.png', '.gif', '.csv', '.xlsx', '.xls', 'all'

    • id (string, required): Unique identifier of the object

    • objectKey (string, required): The key for your custom / standard object. This key uniquely identifies the custom object. Example: "custom_object.pet" for a custom object related to pets. Example: custom_object.pet

    • dataType (string, required): Type of field that you are trying to create Possible values: 'TEXT', 'LARGE_TEXT', 'NUMERICAL', 'PHONE', 'MONETORY', 'CHECKBOX', 'SINGLE_OPTIONS', 'MULTIPLE_OPTIONS', 'DATE', 'TEXTBOX_LIST', 'FILE_UPLOAD', 'RADIO'

    • parentId (string, required): ID of the parent folder Example: 3v34PM428h8vShlRW1KT

    • fieldKey (string, required): Field key. For Custom Object it's formatted as "custom_object.{objectKey}.{fieldKey}". "custom_object" is a fixed prefix, "{objectKey}" is your custom object's identifier, and "{fieldName}" is the unique field name within that object. Example: "custom_object.pet.name" for a "name" field in a "pet" custom object. Example: custom_object.pet.name

    • allowCustomOption (boolean): Determines if users can add a custom option value different from the predefined options in records for RADIO type fields. A custom value added in one record does not automatically become an option and will not appear as an option for other records. Example: True

    • maxFileLimit (number): Maximum file limit for uploads Example: 2

    • dateAdded (string, required): Date and time when the object was added

    • dateUpdated (string, required): Date and time when the object was last updated

json
{
  "field": {
    "locationId": "ve9EPM428h8vShlRW1KT",
    "name": "Name",
    "description": "string",
    "placeholder": "string",
    "showInForms": true,
    "options": [
      {
        "key": "string",
        "label": "string",
        "url": "string"
      }
    ],
    "acceptedFormats": ".pdf",
    "id": "string",
    "objectKey": "custom_object.pet",
    "dataType": "TEXT",
    "parentId": "3v34PM428h8vShlRW1KT",
    "fieldKey": "custom_object.pet.name",
    "allowCustomOption": true,
    "maxFileLimit": 2,
    "dateAdded": "2024-01-15T10:30:00Z",
    "dateUpdated": "2024-01-15T10:30:00Z"
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/custom-fields/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "Name",
  "description": "string",
  "placeholder": "string",
  "showInForms": true,
  "options": [
    {
      "key": "string",
      "label": "string",
      "url": "string"
    }
  ],
  "acceptedFormats": ".pdf",
  "maxFileLimit": 2
}'

Last updated October 26, 2026

Was this page helpful?